package com.repair.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.repair.model.pojo.RepairPayRecord;
import com.repair.model.result.PageUtils;
import com.repair.model.vo.ProsperityRepairPayRecordsVo;
import com.repair.model.vo.QueryExportVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-07-20
 */
public interface RepairPayRecordService extends IService<RepairPayRecord> {
    int insertRepairPayRecord(RepairPayRecord rns);

    int updateRepairPayRecord(RepairPayRecord rns);

    PageUtils<RepairPayRecord> queryPageRepairPayRecords(int currentPage, int pageCount);

    PageUtils<ProsperityRepairPayRecordsVo> queryPayPage(int currentPage, int pageCount, String keyWord, String startTime, String endTime);

    int deleteRepairPayRecordById(int id);

    RepairPayRecord getRepairById(int id);

    List<RepairPayRecord> getRepairs();

    RepairPayRecord getRepairPaySuccessByRecordId(int recordId);

    RepairPayRecord getRepairPayByRecordId(int recordId);

    RepairPayRecord queryPaymentData(String recordNo);

    List<QueryExportVo> queryExport(String keyWord, String startTime, String endTime);
}
